import {Injectable} from "@nestjs/common";
import {fetchMultipleCustomer, fetchOneCustomer} from "src/helper/dutchie-plus-query";
import {getGraphQLClient} from "src/helper/graphql-client-helper";

@Injectable()
export class CustomerService {

    async fetchMultipleCustomer(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchMultipleCustomer();
            const data = await graphQLClient.request(query, variables);
            return data;
        } catch (e) {
            return e;
        }
    }

    async fetchSingleCustomer(variables: any) {
        try {
            const graphQLClient = getGraphQLClient();
            const query = fetchOneCustomer();
            const data = await graphQLClient.request(query, variables);
            return data;
        } catch (e) {
            return e;
        }
    }
}
