import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { AuthService } from "../auth/auth.service";
import { CareerRepository } from "../career/career.repository";
import { ChangePasswordTokenRepository } from "../change-password-token/change-password-token.repository";
import { UsersRepository } from "../users/user.repository";
import { EmailNotifierRepository } from "../email-notifier/email-notifier-repository";
import { SiteFrontendController } from "./site-frontend.controller";
import { SiteFrontendService } from "./site-frontend.service";
import { MailSenderService } from "../mail-sender/mail-sender.service";
import { CareerDepartmentRepository } from "../career-department/career-department.repository";
import { CareerListPageCmsRepository } from "../CMS/career-list-page-cms/career-list-page-cms.repository";
import { CareerDetailsPageCmsRepository } from "../CMS/career-details-page-cms/career-details-page-cms.repository";
import { WhyJoinUsRepository } from "../why-join-us/why-join-us.repository";
import { ScheduleVendorDayBannerCmsRepository } from "../CMS/schedule-vendor-day-banner-cms/schedule-vendor-day-banner-cms.repository";
import { BlogCategoryRepository } from "../blog/blog-category/blog-category.repository";
import { BlogTagRepository } from "../blog/blog-tag/blog-tag.repository";
import { BlogPostRepository } from "../blog/blog-post/blog-post.repository";
import { BlogPostTagsRepository } from "../blog/blog-post-tags/blog-post-tags.repository";
import { FAQRepository } from "../faq/faq.repository";
import { FaqPageSectionTwoRepository } from "../faq-page-section-two/faq-page-section-two.repository";
import { FAQPageCmsRepository } from "../CMS/faq-page-cms/faq-page-cms.repository";
import { ContactUsPageCmsRepository } from "../CMS/contact-us-page-cms/contact-us-page-cms.repository";
import { ContactUsSectionOneRepository } from "../contact-us-section-one/contact-us-section-one.repository";
import {AboutUsPageCmsRepository} from "../CMS/about-us-page-cms/about-us-page-cms.repository";
import {AboutUsSectionOneCmsRepository} from "../CMS/about-us-section-one-cms/about-us-section-one-cms.repository";
import {AboutUsSectionTwoRepository} from "../about-us-section-two/about-us-section-two.repository";
import {DispoDifferenceSectionRepository} from "../dispo-difference-section/dispo-difference-section.repository";
import { NewsletterBannerCmsRepository } from "../CMS/newsletter-banner-cms/newsletter-banner-cms.repository";
import { ReeferFriendCmsRepository } from "../CMS/reefer-friend-cms/reefer-friend-cms.repository";
import { ReeferFriendRepository } from "../reefer-friend/reefer-friend.repository";
import { HeroSectionLeftCmsRepository } from "../CMS/hero-section-left-cms/hero-section-left-cms.repository";
import { HeroSectionSliderRepository } from "../hero-section-slider/hero-section-slider.repository";
import { HomePageCmsRepository } from "../CMS/home-page-cms/home-page-cms.repository";
import { CareerApplicantRepository } from "../career-applicant/career-applicant.repository";
import { ContactMessageRepository } from "../contact-message/contact-message.repository";
import { RetailerServiceRepository } from "../dutchie-plus/custom/retailer-service/retailer-service.repository";
import { RetailerService } from "../dutchie-plus/retailer/retailer.service";
import { NewsletterRepository } from "../newsletter/newsletter.repository";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([ChangePasswordTokenRepository]),
        TypeOrmModule.forFeature([
            EmailNotifierRepository,
            CareerRepository,
            CareerDepartmentRepository,
            CareerListPageCmsRepository,
            CareerDetailsPageCmsRepository,
            WhyJoinUsRepository,
            ScheduleVendorDayBannerCmsRepository,
            BlogCategoryRepository,
            BlogTagRepository,
            BlogPostRepository,
            BlogPostTagsRepository,
            FAQRepository,
            FaqPageSectionTwoRepository,
            FAQPageCmsRepository,
            ContactUsPageCmsRepository,
            ContactUsSectionOneRepository,
            AboutUsPageCmsRepository,
            AboutUsSectionOneCmsRepository,
            AboutUsSectionTwoRepository,
            DispoDifferenceSectionRepository,
            NewsletterBannerCmsRepository,
            ReeferFriendCmsRepository,
            ReeferFriendRepository,
            HeroSectionLeftCmsRepository,
            HeroSectionSliderRepository,
            HomePageCmsRepository,
            CareerApplicantRepository,
            ContactMessageRepository,
            RetailerServiceRepository,
            NewsletterRepository
        ])
    ],
    controllers: [SiteFrontendController],
    providers: [
        SiteFrontendService,
        AuthService,
        JwtHelper,
        MailSenderService,
        RetailerService
    ]
})
export class SiteFrontendModule {}
