import { Module } from "@nestjs/common";
import { JwtModule } from "@nestjs/jwt";
import { TypeOrmModule } from "@nestjs/typeorm";
import JwtConfigService from "src/core/jwt/jwt-config.service";
import JwtHelper from "src/core/jwt/jwt.helper";
import { UsersRepository } from "src/modules/users/user.repository";
import { DoSpacesServicerovider } from "../SpacesModule/SpacesService";
import { DoSpacesService } from "../SpacesModule/SpacesService/doSpacesService";
import { WhyJoinUsController } from "./why-join-us.controller";
import { WhyJoinUsRepository } from "./why-join-us.repository";
import { WhyJoinUsService } from "./why-join-us.service";

@Module({
    imports: [
        JwtModule.registerAsync({
            useClass: JwtConfigService
        }),
        TypeOrmModule.forFeature([UsersRepository]),
        TypeOrmModule.forFeature([WhyJoinUsRepository])
    ],
    controllers: [WhyJoinUsController],
    providers: [WhyJoinUsService, JwtHelper, DoSpacesService, DoSpacesServicerovider]
})
export class WhyJoinUsModule {
}
